Skip to main content
POST

Authorizations

Authorization
string
header
required

A business-bound HaulStow API key. Send Authorization: Bearer hsg_live_key_... to the live server or a hsg_test_key_... key to the sandbox server. Never expose this key in a browser.

Headers

X-Request-ID
string

Optional caller correlation ID. Use 1–128 ASCII letters, digits, ., _, -, or :. Invalid values are replaced. The accepted/generated value is returned in the response.

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9._:-]+$
Idempotency-Key
string
required

A unique key for this logical mutation. Retained for 24 hours.

Required string length: 8 - 255

Body

application/json
recipient_id
string
required
Pattern: ^rcp_[a-f0-9]{32}$
Example:

"rcp_3f1a821cdb58498cbb52f4706545a089"

recipient_address_id
string
required
Pattern: ^adr_[a-f0-9]{32}$
Example:

"adr_78de60204f574a64be88ba9bd94a049f"

pickup
object
required
payment
object
required
vehicle_type
enum<string>
required
Available options:
bike,
minivan
Example:

"bike"

external_id
string

Unique within the authenticated application when supplied.

Required string length: 1 - 128
recipient
object
delivery_instructions
string
Maximum string length: 500

Response

Delivery created.

success
boolean
required
statusCode
enum<integer>
required
Available options:
200,
201
message
string
required
data
object
required